---
etcd_bin_dir: "{{ local_release_dir }}/etcd/etcd-{{ etcd_version }}-linux-amd64/"

etcd_config_dir: /etc/ssl/etcd
etcd_cert_dir: "{{ etcd_config_dir }}/ssl"

etcd_script_dir: "{{ bin_dir }}/etcd-scripts"

# Linux capabilities to be dropped for container engines
etcd_drop_cap:
  - chown
  - dac_override
  - fowner
  - fsetid
  - kill
  - setgid
  - setuid
  - setpcap
  - net_bind_service
  - net_raw
  - sys_chroot
  - mknod
  - audit_write
  - setfcap

# Limits
etcd_memory_limit: 512M
etcd_cpu_limit: 300m
